%define name	nvtv 
%define version	0.4.7

%define major		0
%define libname		%mklibname nvtvsimple %major
%define develname	%mklibname nvtvsimple -d

Name: 		%{name}
Version: 	%{version}
Release:	%mkrel 2
Source0:	http://downloads.sourceforge.net/nv-tv-out/%{name}-%{version}.tar.gz
Source1:	http://downloads.sourceforge.net/nv-tv-out/libnvtvsimple-0.4.7a.tar.gz
Source2:	nvtv.png
Patch0:		nvtv-0.4.7-ppc-build-fix.patch
Patch1:		libnvtvsimple-0.4.7a-fix-linking.patch
License: 	GPLv2
Group:		Video
Summary: 	Enable TV-Out on Linux for NVIDIA cards	
URL:		http://sourceforge.net/projects/nv-tv-out/	
BuildRequires:	pciutils-devel 
BuildRequires:	gtk2-devel
BuildRequires:	libxmu-devel
BuildRequires:	libxxf86vm-devel
BuildRequires:	imagemagick
Requires:	pam
Requires:	usermode
Requires:	usermode-consoleonly
ExclusiveArch:	%{ix86} x86_64

%description
This is a tool to enable TV-Out on Linux for NVIDIA cards. It does not
need the kernel, supports multiple TV encoder chips. You may use all the
features of the chip, down to direct register access, and all resolutions 
and sizes the chip supports.

%package -n %libname
Group: System/Libraries
Summary: Library to enable TV-Out on Linux for NVIDIA cards

%description -n %libname
This is a shared library to enable TV-Out on Linux for NVIDIA cards.
It does not need the kernel, supports multiple TV encoder chips. You
may use all the features of the chip, down to direct register access,
and all resolutions and sizes the chip supports.

%package -n %develname
Group: Development/C
Requires: %libname = %version-%release
Provides: libnvtvsimple-devel = %version
Obsoletes: %mklibname nvtvsimple 0 -d
Summary: Library to enable TV-Out on Linux for NVIDIA cards

%description -n %develname
This is a shared library to enable TV-Out on Linux for NVIDIA cards.
It does not need the kernel, supports multiple TV encoder chips. You
may use all the features of the chip, down to direct register access,
and all resolutions and sizes the chip supports.

%prep
%setup -q -b 1
%patch0 -p1 -b .ppc-build-fix
%patch1 -p1
cd lib
libtoolize --copy --force
aclocal
autoconf
automake -a -c --foreign

%build
%configure2_5x --prefix=/bin --with-gtk=gtk2 --disable-static
%make
pushd lib
%configure2_5x
%make
popd

%install
rm -rf ${RPM_BUILD_ROOT}
install -D -m755 src/nvtv ${RPM_BUILD_ROOT}/%{_sbindir}/nvtv
install -D -m755 src/nvtvd ${RPM_BUILD_ROOT}/%{_sbindir}/nvtvd

# icons
mkdir -p ${RPM_BUILD_ROOT}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
install -m644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 %{SOURCE2} ${RPM_BUILD_ROOT}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 %{SOURCE2} ${RPM_BUILD_ROOT}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

pushd lib
%makeinstall_std
popd

# remove useless libtool archive files
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Nvidia TV Output
Comment=Frontend for Nvidia TV output
Exec=%{name}
Icon=%{name}
StartupNotify=true
Categories=GNOME;GTK;AudioVideo;Audio;Video;Player;X-MandrivaLinux-Multimedia-Video;
Type=Application
EOF


#Lets make a nice dialog box asking for root perms:
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/{pam.d,security/console.apps}
cat <<EOF >${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/%{name}
#%PAM-1.0
auth	sufficient	/lib/security/pam_rootok.so
auth	include		system-auth
session	optional	/lib/security/pam_xauth.so
account	required	/lib/security/pam_permit.so
EOF


cat <<EOF >${RPM_BUILD_ROOT}%{_sysconfdir}/security/console.apps/%{name}
USER=root
PROGRAM=/usr/sbin/nvtv
SESSION=true
FALLBACK=true
EOF

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
ln -s %{_bindir}/consolehelper $RPM_BUILD_ROOT%{_bindir}/%name

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr (-,root,root)
%doc doc/*.txt doc/USAGE README TODO BUGS ChangeLog FAQ ANNOUNCE 
%{_bindir}/*
%{_sbindir}/%{name}
%{_sbindir}/%{name}d
%config(noreplace) %{_sysconfdir}/security/console.apps/*
%config(noreplace) %{_sysconfdir}/pam.d/*
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop

%files -n %libname
%defattr (-,root,root)
%_libdir/lib*.so.*

%files -n %develname
%defattr (-,root,root)
%_includedir/*
%_libdir/lib*.so
%_libdir/lib*a
%_libdir/pkgconfig/*.pc


%changelog
* Mon Aug 01 2016 adrianomorselli <adrianomorselli> 0.4.7-2uplos2011
- rebuild

* Sun Sep 18 2011 Texstar <texstar at gmail.com> 0.4.7-1pclos2011
- for 64bit pclos
